Subject: [Sigtran] Re: Sigtran Digest, Vol 40, Issue 5

From: muare <[email-masked]>
Date: Fri, 10 Aug 2007 22:43:38 +0800

Hey,ye ding :
       According to your description, maybe I get your point:
       you want to implement  1 ASP containing 2 Endpoints and both of
them to be connected to 1 SGP. the 2 Endpoints are allocated on different
hosts. Right?
       I can tell you that it will work. Because in my company, we have
implemented that in your meaning.

       Because Association ID can be determined by [ Endpoint ID + PSP
ID].  in your case,it means that ASP UP outgoes from different Hosts for the
same ASP.
      So the ASPUP will be sent to SGP via different Association. the SGP
responds the 2 ASP UP ACK to ASP via different Association. it will don't
make mess.

B.R.
muare

On 8/9/07, [email-masked] <[email-masked]> wrote:
>
> Send Sigtran mailing list submissions to
>        [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>        https://www1.ietf.org/mailman/listinfo/sigtran
> or, via email, send a message with subject or body 'help' to
>        [email-masked]
>
> You can reach the person managing the list at
>        [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Sigtran digest..."
>
>
> Today's Topics:
>
>   1. Re: m2ua: SG<->SG interoperation (Brian F. G. Bidulock)
>   2. A question on multiple associations between two   signalling
>      peers (ASP-SGP) (ye ding)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Tue, 7 Aug 2007 10:25:01 -0600
> From: "Brian F. G. Bidulock" <[email-masked]>
> Subject: Re: [Sigtran] m2ua: SG<->SG interoperation
> To: emmanuel mavrommatis <[email-masked]>
> Cc: [email-masked], flash view <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii
>
> emmanuel,
>
> As below, SG1 to SG2 is M2UA.  SG2 to MGC is M3UA.
>
> --brian
>
>            ******  SS7  ******   IP     ******  IP   ******
>            *SEP *-------* SG1*----------* SG2*-------*MGC *
>            ******       ******          ******       ******
>
>            +----+                                    +----+
>            |S7UP|                                    |S7UP|
>            +----+                     +----+----+    +----+
>            |MTP3|                     |MTP3|    |    |    |
>            +----+    +---------+      +----+ SIG|    |SIG |
>            |MTP2|    |MTP2|SIG |      |SIG |    |    |    |
>            +    +    +    +----+ M2UA +----+----+M3UA+----+
>            |    |    |    | IP |      |   IP    |    | IP |
>            +----+    +----+----+      +----+----+    +----+
>
>            S7UP - SS7 User Part
>
>                      Figure 10: SG to SG Case 1
>
> emmanuel mavrommatis wrote:                         (Tue, 07 Aug 2007
> 16:40:22)
> >
> >    Brian,
> >    I  am  talking about RFC 2719, 3.5 case 1 NOT 2, where SG1-----SG2.
> Is
> >    SG2 an ASP? What we should use there? Can we use M2UA here (case 1)??
> >    Thanks,
> >    Emmanuel
> >
>
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
>
>
>
> ------------------------------
>
> Message: 2
> Date: Wed, 8 Aug 2007 11:49:56 +0800 (CST)
> From: ye ding <[email-masked]>
> Subject: [Sigtran] A question on multiple associations between two
>        signalling peers (ASP-SGP)
> To: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="gb2312"
>
> Hello,
>
> This was covered before to certain extent and supporting multiple sctp
> associations between one asp and one sgp is implementation specific.
>
> My scenario:
> Got one ASP which binds to two sctp endpoints (with different IP
> addresses), from those two sctp endpoints, two sctp associations are formed
> to single sctp endpoint on SGP. I guess this should work when ASP up was
> sent through both associations to the SGP without specifying the ASP ID, and
> since the associations are from different ASP sctp endpoint, SGP will not
> require the ASP ID and will treat as two ASPs. Having said that, we will get
> deterministics SGP response and SGP will not request ASP ID in this case. is
> this correct?
>
> We do not do multi-homing since SGP, ASP, and SCTP endpoints (A,B) for ASP
> are all located on different hosts. The idea is that if SCTP endpoint A
> dies, the ASP will not be impacted and will switch to use SCTP endpoint B.
>
> Thanks,
>
> Ye
>
> ---------------------------------
> 雅虎免费邮箱3.5G容量，20M附件！
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL:
> http://www1.ietf.org/pipermail/sigtran/attachments/20070808/37b356d9/attachment.html
>
> ------------------------------
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
>
>
> End of Sigtran Digest, Vol 40, Issue 5
> **************************************
>
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran